package cn.aqroid.business.auth.domain.dto;

/**
 * 手机号登录请求
 *
 * @author aqroid
 * @date 2026-01-12
 */
public class PhoneLoginRequest {

    /** 微信openid */
    private String openid;

    /** 加密数据 */
    private String encryptedData;

    /** 初始向量 */
    private String iv;

    /** 昵称（可选） */
    private String nickname;

    /** 头像（可选） */
    private String avatar;

    public String getOpenid() {
        return openid;
    }

    public void setOpenid(String openid) {
        this.openid = openid;
    }

    public String getEncryptedData() {
        return encryptedData;
    }

    public void setEncryptedData(String encryptedData) {
        this.encryptedData = encryptedData;
    }

    public String getIv() {
        return iv;
    }

    public void setIv(String iv) {
        this.iv = iv;
    }

    public String getNickname() {
        return nickname;
    }

    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
}
